com.thinkaurelius.titan.graphdb.query.condition

## Class MultiCondition<E extends TitanElement>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<Condition<E>>
      - - com.thinkaurelius.titan.graphdb.query.condition.MultiCondition<E>

- All Implemented Interfaces:
    Condition<E>, Serializable, Cloneable, Iterable<Condition<E>>, Collection<Condition<E>>, List<Condition<E>>, RandomAccess
  Direct Known Subclasses:
    And, Or

      public abstract class MultiCondition<E extends TitanElement>
      extends ArrayList<Condition<E>>
      implements Condition<E>

  Abstract condition element that combines multiple conditions (for instance, AND, OR).
  Author:
    Matthias Broecheler (me@matthiasb.com)
  See Also:
    `And`, `Or`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.query.condition.Condition

      `Condition.Type`

  - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(Condition<E> condition)`
    `boolean` | `equals(Object other)`
    `Condition<E>` | `get(int position)`
    `Iterable<Condition<E>>` | `getChildren()`
    `boolean` | `hasChildren()`
    `int` | `hashCode()`
    `int` | `numChildren()`
    `int` | `size()`
    `String` | `toString()`
    `String` | `toString(String token)`

    - ### Methods inherited from class java.util.ArrayList

      `add, addAll, addAll, clear, clone, contains, ensureCapacity, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.query.condition.Condition

      `evaluate, getType`

    - ### Methods inherited from interface java.util.List

      `containsAll`

- - ### Method Detail

    - #### add

          public boolean add(Condition<E> condition)

      Specified by:
        `add` in interface `Collection<Condition<E extends TitanElement>>`
      Specified by:
        `add` in interface `List<Condition<E extends TitanElement>>`
      Overrides:
        `add` in class `ArrayList<Condition<E extends TitanElement>>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<Condition<E extends TitanElement>>`
      Specified by:
        `size` in interface `List<Condition<E extends TitanElement>>`
      Overrides:
        `size` in class `ArrayList<Condition<E extends TitanElement>>`

    - #### get

          public Condition<E> get(int position)

      Specified by:
        `get` in interface `List<Condition<E extends TitanElement>>`
      Overrides:
        `get` in class `ArrayList<Condition<E extends TitanElement>>`

    - #### hasChildren

          public boolean hasChildren()

      Specified by:
        `hasChildren` in interface `Condition<E extends TitanElement>`

    - #### numChildren

          public int numChildren()

      Specified by:
        `numChildren` in interface `Condition<E extends TitanElement>`

    - #### getChildren

          public Iterable<Condition<E>> getChildren()

      Specified by:
        `getChildren` in interface `Condition<E extends TitanElement>`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Condition<E extends TitanElement>`
      Specified by:
        `hashCode` in interface `Collection<Condition<E extends TitanElement>>`
      Specified by:
        `hashCode` in interface `List<Condition<E extends TitanElement>>`
      Overrides:
        `hashCode` in class `AbstractList<Condition<E extends TitanElement>>`

    - #### equals

          public boolean equals(Object other)

      Specified by:
        `equals` in interface `Condition<E extends TitanElement>`
      Specified by:
        `equals` in interface `Collection<Condition<E extends TitanElement>>`
      Specified by:
        `equals` in interface `List<Condition<E extends TitanElement>>`
      Overrides:
        `equals` in class `AbstractList<Condition<E extends TitanElement>>`

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `Condition<E extends TitanElement>`
      Overrides:
        `toString` in class `AbstractCollection<Condition<E extends TitanElement>>`

    - #### toString

          public String toString(String token)

Copyright © 2012–2014. All rights reserved.